Bug 242895 - rpmbuild generates a confusing error message
Summary: rpmbuild generates a confusing error message
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm   
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Panu Matilainen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-06 09:52 UTC by Stepan Kasal
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-09 21:37:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
a proposed patch (1.65 KB, patch)
2007-06-06 09:54 UTC, Stepan Kasal
no flags Details | Diff

Description Stepan Kasal 2007-06-06 09:52:36 UTC
When building an rpm without any binaries to be stripped, I get:

+ /usr/lib/rpm/find-debuginfo.sh /home/kasal/tmp/rpm/BUILD/man-pages-2.51
0 blocks
find: /var/tmp/man-pages-2.51-3-root-kasal/usr/lib: No such file or directory

Comment 1 Stepan Kasal 2007-06-06 09:54:38 UTC
Created attachment 156332 [details]
a proposed patch

This patch checks whether /usr/lib/debug exists before running find in it.

Comment 2 Panu Matilainen 2007-08-09 21:37:54 UTC
This has been fixed in the largely rewritten find-debuginfo.sh of
rpm-4.4.2.1-5.fc8 in next rawhide push.


Note You need to log in before you can comment on or make changes to this bug.